* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;

}


::root {
    --social-icon-color: white;
}


/* global classes start here */

.icon-color {
    color: var (--social-icon-color);
}

.text-decoration-none {
    text-decoration: none;

}

.cursor-pointer {
    cursor: pointer;
}

.d-flex {
    display: flex;
}



.justify-content-between {
    justify-content: space-between;
}

.color-white {
    color: white;
}

.color-black {
    color: black;
}



.text-decoration-none {
    text-decoration: none;
}

.d-flex {
    display: flex;
}

.justify-content-between {
    justify-content: space-between;
}

.color-white {
    color: white;
}

.color-black {
    color: black;
}

.vertical-algin-center {
    display: flex;
    align-items: center;

}

.m-left-10 {
    margin-left: 10px;
}

.mt-16 {
    margin-top: 16px;
}


.text-center {
    text-align: center;
}


.p-20 {
    padding: 20px;
}


.my-5{
    margin: 5px 0px;
}



/* global classes end here */

nav {

    background-color: #223250;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.5);
    position: sticky;
    top: 0;
    z-index: 100;
}

.logo {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 26px;


}

.logo-desgin-part {
    color: #42bc70;
}


.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 45px;

}

.navbar ul {
    list-style: none;
    display: flex;


}

.navbar ul li {
    position: relative;
}

.navbar ul li a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    margin: 0px 6px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 18px;
    padding: 12px;
    transition: 0.3s ease;


}

.navbar ul li a:hover {
    color: #42bc70;

}

.navbar ul li a:hover::after {
    content: "";
    position: absolute;
    bottom: -10px;
    width: 30%;
    height: 2px;
    background-color: #42bc70;
    left: 20px;

}



#hamburger {
    display: none;
}


.hamburger-svg:hover {
    fill: #42bc70;
}

.close-svg:hover {
    fill: #42bc70;
}



/* cursor point  */


.cursor {
    position: fixed;
    width: 30px;
    height: 30px;
    border: 1px solid #c6c6c6;
    border-radius: 50%;
    left: 0;
    top: 0;
    pointer-events: none;
    transform: translate(-50%, -50%);
    transition: .1s;
    z-index: 99;
}

.cursor2 {
    position: fixed;
    width: 6px;
    height: 6px;
    background-color: #c6c6c6;
    border-radius: 50%;
    left: 0;
    top: 0;
    pointer-events: none;
    transform: translate(-50%, -50%);
    transition: .078s;
    z-index: 99;
}

.hero-btn:hover~.cursor {
    transform: translate(-50%, -50%) scale(1.5);

    opacity: .5;
}

.hero-btn:hover~.cursor2 {

    opacity: .5;
    width: 12px;
    height: 12px;

}




/* cursor point  */









/* hero section start here */

.hero-section {
    background-color: #223250;


    color: white;
}

.box {
    display: flex;
    padding: 0px 20px;
    /* margin: auto; */
    margin-top: -38px;
}

.hero-img {
    height: 750px;
}

.hero-contant-part {
    margin: auto 0px;
    padding: 20px 10px;
}

.hero-contant-part h3 {
    margin: 0px 0px 20px 0px;
    color: #6a6a6a !important;
    font-size: 20px;
}

.hero-contant-part h1 {
    font-size: 60px;
    font-weight: bold;
    line-height: 70px;
}

.hero-contant-part p {
    color: #7a7d88 !important;
    margin: 20px 0px;
    line-height: 32px;
    font-size: 18px;
}

.hero-btn {
    margin-top: 10px;
    padding: 12px 40px 12px 40px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
    border: none;
    border-radius: 10px;
    outline: none;
    color: #48424c;
    background-color: #42bc70;
    font-weight: 600;
    cursor: pointer;
}

.hero-btn:hover {
    background-color: #6a6a6a;
    color: white;
    filter: drop-shadow(0 0 10px #ffffff);
}

.hero-btn:active {
    background-color: #6a6a6a;
    color: white;
    filter: drop-shadow(0 0 10px #ffffff);
}

/* hero section end here */






/* expertise section start here */




.sec-1-top-part{
    margin: 0px auto;
    padding: 0px 162px 60px 162px;
    text-align: center;
}

.sec-1-top-part h1{
    font-size: 29px;
    font-weight: bold;
    margin-bottom: 12px;
    line-height: 38px;
}

.sec-1-top-part p{
    line-height: 22px;
    font-size: 18px;
    color: #f0b3b3;
}

.expertise-section {
    background-color: #223250;
    padding: 40px 0px;
}

.expertise-section h2 {
    color: white;
    font-size: 60px;
    padding: 25px 0px;
    margin: 50px 0px 40px 0px;
}

.plus-minse{
   font-size: 22px;
}

.clickable-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;

    flex-direction: row;
    align-items: center;

}

.jsDiv {
    background-color: #42bc70 !important;
    color: #48424c;
    line-height: 26px;
    height : 300px;
    width: 470px;
    font-size: 18px;
}


.click-part ul {
    list-style: none;
}

.click-part ul li {
    color: white;
    padding-bottom: 12px;
    border-bottom: 2px solid #e8bf5d;
    cursor: pointer;
    width: 350px;
}


.click-part ul li:nth-child(1) {
    color: rgb(66, 188, 112);
font-weight: bold;
}

.click-part ul li:nth-child(2) {
    margin: 15px 0px;
}

.click-part ul li:nth-child(4) {
    margin: 15px 0px;
}





/* mini part  ........................*/


.click-able-for-509{
   
    display: none;
}

#miniHeadingPart{
    padding: 0px 20px;
}

.showing-text{
    background-color: #42bc70;
    border-radius: 15px;
    padding: 12px 16px;
}

.showing-text p{
    font-size: 26px;

  font-weight: bold;
  color: #48424c;
}

.hidden-part{
    margin-top: 22px;
    background-color: #42bc70;
    border-radius: 15px;
  max-height: 0px;
  overflow: hidden;
  transition: 1.1s ease;
   

}


.hidden-part p{
    text-align: center;
    font-size: 18px;
    line-height: 24px;
    color: #48424c;
    transition: max-height 1.4s ease;
}


#miniHeadingPart.active .hidden-part{
    max-height: 400px;
     padding: 12px; 
}


#miniHeadingPart.active #svgIcon{
   transform: rotate(180deg);
}

#svgIcon{
    transition:  transform .5s ease-in;
}


/* expertise section end here*/


/* project section start here */


.project-section {

    background-color: #223250;
    padding: 80px 0px;
}


.project-section h2 {

    color: white;
    font-size: 60px;
    padding: 20px 0px;

}

.project-card-area-box {
    /* min-height: 320px; */
    display: flex;
    justify-content: center;
    padding: 20px 20px 20px 20px;
    flex-wrap: wrap;

}


.project-card {
    margin: 20px;
    vertical-align: middle;
    width: 350px;
    height: 350px;
    filter: drop-shadow(4px 4px 6px #1f2635);
    border-radius: 5px;


    /* background-color: #223250; */
    background-color: white;
}





.project-card img {
    width: 100%;
    height: 50%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}


.project-card h4 {
    text-align: center;
    font-size: 22px;
    margin: 5px 0px;
}

.project-card p {
    text-align: center;
    margin: 6px 0px;
    padding: 0px 5px;
}

.card-all-btn {
    padding: 0px 5px;
    display: flex;
    flex-wrap: wrap;
    /* justify-content: space-evenly; */
}


.project-detail-btn {
    color: white;
    background-color: #676e7d;
    padding: 4px 12px;
    outline: none;
    border: none;
    border-radius: 15px;
    margin: 5px 5px;
    font-weight: bold;
    font-size: 12px;
    letter-spacing: 1px;
    filter: drop-shadow(0 0 4px #16191e);
}



/* project section end here */

/* contact section start here */




.main-contact-sec {
    color: white;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: #223250;
    padding: 160px 20px;

}

.link-part h2 {
    font-size: 62px;
    margin-bottom: 12px;
}



.link-part-inner-p {
    font-size: 30px;

    margin-bottom: 52px;
}

.icon-p {
    font-size: 30px;
}


.link-4 {
    display: flex;
    justify-content: space-between;
    padding: 16px;
    width: 450px;
}

.form-part p span {
    color: #42bc70;
    font-size: 20px;
}


/* .hero-btn {
    margin-top: 10px;
    padding: 12px 40px 12px 40px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
    border: none;
    border-radius: 10px;
    outline: none;
} */

.hero-btn:hover {
    background-color: #6a6a6a;
    color: white;
    filter: drop-shadow(0 0 10px #ffffff);
}

.hero-btn:active {
    background-color: #6a6a6a;
    color: white;
    filter: drop-shadow(0 0 10px #ffffff);
}







/* contact section end here */






/* footer start here */

.footer {
    background-color: #223250;
    padding: 30px 40px;
    flex-wrap: wrap;
    display: flex;
    justify-content: space-evenly;
    color: white;
}

.footer-logo-part {
    height: 196px;
    /* width: 30%; */
    display: flex;
    flex-direction: column;
    justify-content: center;

    padding: 30px 30px;

}

.footer-marketplace-part {
    /* height: 320px; */
    padding: 30px 30px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.footer-marketplace-part ul {
    padding-top: 15px;
}

.footer-marketplace-part ul li {
    margin: 8px 0px;
}

.footer-marketplace-part ul li a {
    text-decoration: none;
    color: white;
    font-size: 18px;
}

.footer-marketplace-part ul li:hover {
    color: rgb(27, 161, 27);
}

.footer-marketplace-part ul li a:hover {
    color: rgb(27, 161, 27);
}


/* footer end here */



/* Copyright section start here */

.Copyright-section {
    background-color: #19243a;
    color: #676e7d;
    padding: 16px 20px;
    justify-content: space-around;
}

/* Copyright section end here */










/* media quary  */


@media screen and (max-width: 799px) {

    #hamburger {
        display: initial;

    }



    .navbar ul {
        list-style: none;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        position: fixed;
        top: 0;
        right: -400px;
        width: 300px;
        height: 100vh;
        background-color: #223250;
        box-shadow: 0 0px 30px rgba(0, 0, 0, 0.5);
        padding: 70px 0px 0px 10px;
        transition: 1s ease;




    }

    .navbar ul.active {

        right: 0;

    }

    .navbar ul.activeOne {

        right: 0;

    }



    .navbar ul li {

        margin-bottom: 22px;

    }

    /* #close {
        display: initial;
        position: absolute;
        top: 20px;
        left: 20px;
    } */



    .logo a h1 {
        font-size: 32px;
    }



}



@media screen and (max-width: 1299px) {

    .box {
        display: flex;
        padding: 20px 20px;

    }





}


@media screen and (max-width: 1399px) {



    .skills-section {
        padding-bottom: 40px;
    }


}




@media screen and (max-width: 999px) {

    #removeCursor{
        display: none;
    }


    .box {
        display: block;
        padding: 20px 20px;
        text-align: center;
    }


    .hero-img {
        height: 500px;
    }


    .jsOutput{
        margin-top: 40px;
     }

   
}


@media screen and (max-width: 916px) {

    .link-part h2 {

        text-align: center;
    }

}


@media screen and (max-width: 599px) {

    .hero-contant-part h1 {
        font-size: 35px;
        font-weight: bold;
        line-height: 50px;
    }


    .footer {
        padding: 20px;
    }


    .copy-svg-icon {
        margin-top: 4px;
    }

    .copyright-inner-part {
        line-height: 24px;
    }



    .skills-section h2 {

        font-size: 42px;


    }


    .icon-p {
        font-size: 22px;
    }

    .link-part-inner-p {


        font-size: 22px;
        text-align: center;
        margin-bottom: 32px;

    }

    .link-4 {
        display: flex;
        justify-content: space-between;
        padding: 16px;
        width: 360px;
    }

}


@media screen and (max-width: 509px) {

    

    .clickable-section{
        display: none;
    }

    .click-able-for-509{
        padding: 20px ;
        display: initial;
    }


   
    


}



@media screen and (max-width: 499px) {

    .navbar {
        padding: 20px;
    }

    .hero-img {
        height: 460px;
    }

    .box {

        padding: 20px 10px;

    }

    .skils-pogress-card {
        margin: 20px 10px 20px 10px;
        vertical-align: middle;
        width: 190px;
        height: 224px;
        border-radius: 15px;
        background-color: #223250;
        background-color: white;

    }


    .card-all-btn {
        display: none;
    }

    .sec-1-top-part h1{
        font-size: 26px;
    }


    

    .expertise-section h2{
        font-size: 48px;
    }


    .project-section h2{
        font-size: 40px;
    }


}


@media screen and (max-width: 399px) {

    .hero-img {
        height: 350px;
        margin: 0px 0px 0px 20px;
    }

}




@media screen and (max-width: 409px) {
    .link-4 {

        flex-direction: column;
        align-items: center;


    }

    .mb-25 {
        margin-bottom: 25px;
    }


    .link-part-inner-p {


        font-size: 20px;
        text-align: center;
        margin-bottom: 32px;

    }
}

@media screen and (max-width: 403px){
        .logo-desgin-part-403{
            color: #42bc70;
        }
}



@media screen and (max-width: 849px) {

    .content-area-box {
        /* min-height: 320px; */

        flex-direction: column;
        align-items: center;



    }





}


@media screen and (max-width: 1209px) {

    .project-card {
        margin: 20px;
        vertical-align: middle;
        width: 320px;
        height: 380px;
        filter: drop-shadow(4px 4px 6px #1f2635);
        border-radius: 5px;


        /* background-color: #223250; */
        background-color: white;
    }


    .sec-1-top-part{
       
        padding: 0px 20px 60px 20px;
       
    }

}